> ## Documentation Index
> Fetch the complete documentation index at: https://kosli-reference-docs-v2-30-1.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single decision for a control

> **Beta** — the Controls feature is in beta. Requests from organizations without it enabled receive `403 Forbidden`.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /controls/{org}/{identifier}/decisions/{decision_id}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /controls/{org}/{identifier}/decisions/{decision_id}:
    get:
      tags:
        - Controls
      summary: Get a single decision for a control
      description: >-
        **Beta** — the Controls feature is in beta. Requests from organizations
        without it enabled receive `403 Forbidden`.
      operationId: get_control_decision
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            title: Identifier
        - name: decision_id
          in: path
          required: true
          schema:
            type: string
            title: Decision Id
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DecisionResponse'
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__ForbiddenResponse___locals___ForbiddenResponseModel__9
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__42
          description: Not Found
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    DecisionResponse:
      properties:
        control:
          type: string
          title: Control
        control_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Control Version
        is_compliant:
          type: boolean
          title: Is Compliant
        timestamp:
          type: number
          title: Timestamp
        attestation_name:
          type: string
          title: Attestation Name
        flow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Flow Name
        trail_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Trail Name
        artifact_fingerprint:
          anyOf:
            - type: string
              pattern: ^[a-f0-9]{64}$
            - type: 'null'
          title: Artifact Fingerprint
        artifact_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifact Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        origin_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin Url
        user_data:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: 'null'
          title: User Data
        evidence_files:
          items:
            $ref: '#/components/schemas/EvidenceFileItem'
          type: array
          title: Evidence Files
      type: object
      required:
        - control
        - is_compliant
        - timestamp
        - attestation_name
        - evidence_files
      title: DecisionResponse
    fastapi_app__errors__ForbiddenResponse___locals___ForbiddenResponseModel__9:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: ForbiddenResponseModel
      examples:
        - message: You don't have permission to access this resource
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__42:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Control or decision not found
      examples:
        - message: Control or decision not found
    EvidenceFileItem:
      properties:
        filename:
          type: string
          title: Filename
        download_url:
          type: string
          title: Download Url
      type: object
      required:
        - filename
        - download_url
      title: EvidenceFileItem
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````